@import "../../../assets/scss/global";

.product {
    padding-top: 48px;

    @include largeScreen {
        padding-bottom: 62px;
    }

    .list {
        background-image: url(/images-v2/home/bg-product.jpg);
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        background-color: #f8c06f;
        padding-top: 64px;
        padding-bottom: 72px;
        position: relative;

        @include largeScreen {
            background-image: url(/images-v2/home/left-bg-product.png), url(/images-v2/home/right-bg-product.png), url(/images-v2/home/bg-product.jpg);
            background-position: center left, center right, center;
            background-size: contain, contain, cover;
        }

        @include smallScreen {
            padding-top: 90px;
        }

        .title {
            width: calc(100% - 32px);
            max-width: 610px;
            margin: auto;
            position: absolute;
            left: 50%;
            transform: translate(-50%, calc(-50% + 2px));
            top: 0;

            img {
                width: 100%;
                height: auto;
                display: block;
            }

            .text-title {
                position: absolute;
                top: 50%;
                left: 50%;
                transform: translate(-50%, -50%);
                color: #FFF;
                font-weight: bolder;
                font-size: 20px;
                text-transform: uppercase;

                @include smallScreen {
                    font-size: 28px;
                }

                @include tabletScreen {
                    font-size: 32px;
                }
            }
        }

        .list-content {
            position: relative;
            max-width: 606px;
            padding: 0 15px;
            margin: auto;

            @media screen and (min-width: 904px) {
                max-width: 904px;
            }

            @media screen and (min-width: 1202px) {
                max-width: 1202px;
            }

            .item {
                width: 278px;
                position: relative;
                margin: auto;

                &::after {
                    display: block;
                    content: '';
                    width: 100%;
                    padding-top: calc(500 / 290 * 100%);
                }

                img {
                    width: 100%;
                    height: auto;
                    display: block;
                    position: absolute;
                    top: 0;
                    left: 0;
                }

                .name {
                    font-weight: 800;
                    font-size: 20px;
                    line-height: 30px;
                    margin: 0;
                    text-align: center;
                    padding: 0 16px;
                    position: absolute;
                    top: 28px;
                    left: 0;
                    width: 100%;

                    b {
                        color: $primary-color5;
                        font-weight: 800;
                    }
                }
            }

            [class~="slider-control-bottomcenter"] {
                bottom: -44px !important;

                ul {
                    gap: 5px;
                    display: flex;
                    position: static !important;
                    flex-direction: row;
                    align-items: center;

                    li {
                        display: block;

                        button {
                            display: block;
                            height: 8px;
                            width: 8px;
                            background: white !important;
                            border-radius: 100%;
                            box-sizing: border-box;

                            svg {
                                display: none;
                            }
                        }

                        &[class~="active"] {
                            button {
                                width: 40px;
                                border-radius: 4px;
                                background: $primary-color !important;
                            }
                        }
                    }
                }
            }
        }
    }

    .label {
        .box {
            display: flex;
            flex-direction: column;
            margin: auto;
            max-width: 400px;

            h3 {
                margin: 0;
                padding: 12px 28px;
                font-weight: 700;
                font-size: 16px;
                line-height: 130%;
                color: white;
                text-transform: uppercase;
                position: relative;

                &:first-child {
                    background: #7F61F8;
                    margin-right: auto;
                }

                &:last-child {
                    background: #E3471B;
                    margin-left: auto;
                    padding-left: 40px;

                    &::before {
                        display: block;
                        position: absolute;
                        content: '';
                        height: 100%;
                        width: 10px;
                        background-color: white;
                        bottom: 0;
                        left: 24px;
                    }
                }
            }
        }

        @include mediumScreen {
            margin-top: 20px;

            .box {
                max-width: 680px;

                h3 {
                    font-size: 28px;
                }
            }
        }
    }
}